Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MathFunctions Class Reference

The Xabsl2 symbols that are defined in "math-functions.xml". More...

`#include <MathFunctions.h>`

Inheritance diagram for MathFunctions:

[legend]
Collaboration diagram for MathFunctions:

[legend]
List of all members.

## Input symbols
double | distanceTo ()
| calculates the decimal input function "distance-to"
double | angleTo ()
| calculates the decimal input function "angle-to"
double | getSgn ()
| calculates the decimal input function "sgn"
double | getMin ()
| calculates the decimal input function "min"
double | getMax ()
| calculates the decimal input function "max"
double | getAbs ()
| calculates the decimal input function "abs"
double | getRandom ()
| calculates the decimal input function "random"
double | getSin ()
| calculates the decimal input function "sin"
double | getCos ()
| calculates the decimal input function "cos"
double | getNormalize ()
| calculates the decimal input function "normalize"
double | getFrozenValue ()
| calculates the value for the symbol "freeze.value"
double | isInInterval ()
| The function returns 1 if the value is in the interval between a and b (order doesn't matter).
double | saveValue ()
| calculates the decimal input function "distance-to"
double | getValue ()
| calculates the decimal input function "distance-to"
double | distanceToX
| The parameter "distance-to.x" of the function "distance-to".
double | distanceToY
| The parameter "distance-to.y" of the function "distance-to".
double | angleToX
| The parameter "angle-to.x" of the function "angle-to".
double | angleToY
| The parameter "angle-to.y" of the function "angle-to".
double | normalizeAngle
| The parameter "normalize.angle" of the function "normalize".
double | sgnValue
| The parameter "sgn.value" of the function "sgn".
double | absValue
| The parameter "abs.value" of the function "abs".
double | min0Value
| The parameter "min0.value" of the function "min".
double | min1Value
| The parameter "min1.value" of the function "min".
double | max0Value
| The parameter "max.value0" of the function "max".
double | max1Value
| The parameter "max.value1" of the function "max".
double | alphaValue
| The parameter "*.alpha" of the function "sin" and "cos".
double | valueToFreeze
| The parameter "freeze.value" of the function "freeze".
double | isInIntervalValue
| calculates the decimal input function "distance-to"
double | isInIntervalA
| calculates the decimal input function "distance-to"
double | isInIntervalB
| calculates the decimal input function "distance-to"
double | savevalue
| calculates the decimal input function "distance-to"
double | saveindex
| calculates the decimal input function "distance-to"
double | savedValues [255]
| calculates the decimal input function "distance-to"
int | unFreezeValue
| calculates the decimal input function "distance-to"
double | frozenValue
| calculates the decimal input function "distance-to"
## Public Member Functions
| MathFunctions (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols

## Detailed Description

The Xabsl2 symbols that are defined in "math-functions.xml".

Author:
  Matthias Jüngel

Definition at line 20 of file MathFunctions.h.

## Constructor & Destructor Documentation

MathFunctions::MathFunctions | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 12 of file MathFunctions.cpp.

## Member Function Documentation

void MathFunctions::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 18 of file MathFunctions.cpp. References absValue, alphaValue, angleTo(), angleToX, angleToY, distanceTo(), distanceToX, distanceToY, getAbs(), getCos(), getFrozenValue(), getMax(), getMin(), getNormalize(), getRandom(), getSgn(), getSin(), getValue(), isInInterval(), isInIntervalA, isInIntervalB, isInIntervalValue, max0Value, max1Value, min0Value, min1Value, normalizeAngle, Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), saveindex, savevalue, saveValue(), sgnValue, unFreezeValue, and valueToFreeze. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void MathFunctions::update | ( |  | ) |

| updates the symbols Definition at line 98 of file MathFunctions.cpp.

double MathFunctions::distanceTo | ( |  | ) |

| calculates the decimal input function "distance-to" Definition at line 102 of file MathFunctions.cpp. References Geometry::distanceTo(), distanceToX, and distanceToY. Referenced by registerSymbols().

Here is the call graph for this function:

double MathFunctions::angleTo | ( |  | ) |

| calculates the decimal input function "angle-to" Definition at line 107 of file MathFunctions.cpp. References Geometry::angleTo(), angleToX, angleToY, and toDegrees(). Referenced by registerSymbols().

Here is the call graph for this function:

double MathFunctions::getSgn | ( |  | ) |

| calculates the decimal input function "sgn" Definition at line 112 of file MathFunctions.cpp. References sgnValue. Referenced by registerSymbols().

double MathFunctions::getMin | ( |  | ) |

| calculates the decimal input function "min" Definition at line 122 of file MathFunctions.cpp. References min0Value, and min1Value. Referenced by registerSymbols().

double MathFunctions::getMax | ( |  | ) |

| calculates the decimal input function "max" Definition at line 129 of file MathFunctions.cpp. References max0Value, and max1Value. Referenced by registerSymbols().

double MathFunctions::getAbs | ( |  | ) |

| calculates the decimal input function "abs" Definition at line 117 of file MathFunctions.cpp. References absValue. Referenced by registerSymbols().

double MathFunctions::getRandom | ( |  | ) |

| calculates the decimal input function "random" Definition at line 146 of file MathFunctions.cpp. Referenced by registerSymbols().

double MathFunctions::getSin | ( |  | ) |

| calculates the decimal input function "sin" Definition at line 136 of file MathFunctions.cpp. References alphaValue, and fromDegrees(). Referenced by registerSymbols().

Here is the call graph for this function:

double MathFunctions::getCos | ( |  | ) |

| calculates the decimal input function "cos" Definition at line 141 of file MathFunctions.cpp. References alphaValue, and fromDegrees(). Referenced by registerSymbols().

Here is the call graph for this function:

double MathFunctions::getNormalize | ( |  | ) |

| calculates the decimal input function "normalize" Definition at line 151 of file MathFunctions.cpp. References fromDegrees(), normalize(), normalizeAngle, and toDegrees(). Referenced by registerSymbols().

Here is the call graph for this function:

double MathFunctions::getFrozenValue | ( |  | ) |

| calculates the value for the symbol "freeze.value" Definition at line 156 of file MathFunctions.cpp. References frozenValue, unFreezeValue, and valueToFreeze. Referenced by registerSymbols().

double MathFunctions::isInInterval | ( |  | ) |

| The function returns 1 if the value is in the interval between a and b (order doesn't matter). Definition at line 166 of file MathFunctions.cpp. References isInIntervalA, isInIntervalB, and isInIntervalValue. Referenced by registerSymbols().

double MathFunctions::saveValue | ( |  | ) |

| calculates the decimal input function "distance-to" Definition at line 192 of file MathFunctions.cpp. References savedValues, saveindex, and savevalue. Referenced by registerSymbols().

double MathFunctions::getValue | ( |  | ) |

| calculates the decimal input function "distance-to" Definition at line 199 of file MathFunctions.cpp. References savedValues, and saveindex. Referenced by registerSymbols().

## Member Data Documentation

double MathFunctions::distanceToX

| The parameter "distance-to.x" of the function "distance-to". Definition at line 41 of file MathFunctions.h. Referenced by distanceTo(), and registerSymbols().

double MathFunctions::distanceToY

| The parameter "distance-to.y" of the function "distance-to". Definition at line 44 of file MathFunctions.h. Referenced by distanceTo(), and registerSymbols().

double MathFunctions::angleToX

| The parameter "angle-to.x" of the function "angle-to". Definition at line 50 of file MathFunctions.h. Referenced by angleTo(), and registerSymbols().

double MathFunctions::angleToY

| The parameter "angle-to.y" of the function "angle-to". Definition at line 53 of file MathFunctions.h. Referenced by angleTo(), and registerSymbols().

double MathFunctions::normalizeAngle

| The parameter "normalize.angle" of the function "normalize". Definition at line 56 of file MathFunctions.h. Referenced by getNormalize(), and registerSymbols().

double MathFunctions::sgnValue

| The parameter "sgn.value" of the function "sgn". Definition at line 83 of file MathFunctions.h. Referenced by getSgn(), and registerSymbols().

double MathFunctions::absValue

| The parameter "abs.value" of the function "abs". Definition at line 86 of file MathFunctions.h. Referenced by getAbs(), and registerSymbols().

double MathFunctions::min0Value

| The parameter "min0.value" of the function "min". Definition at line 89 of file MathFunctions.h. Referenced by getMin(), and registerSymbols().

double MathFunctions::min1Value

| The parameter "min1.value" of the function "min". Definition at line 92 of file MathFunctions.h. Referenced by getMin(), and registerSymbols().

double MathFunctions::max0Value

| The parameter "max.value0" of the function "max". Definition at line 95 of file MathFunctions.h. Referenced by getMax(), and registerSymbols().

double MathFunctions::max1Value

| The parameter "max.value1" of the function "max". Definition at line 98 of file MathFunctions.h. Referenced by getMax(), and registerSymbols().

double MathFunctions::alphaValue

| The parameter "*.alpha" of the function "sin" and "cos". Definition at line 101 of file MathFunctions.h. Referenced by getCos(), getSin(), and registerSymbols().

double MathFunctions::valueToFreeze

| The parameter "freeze.value" of the function "freeze". Definition at line 107 of file MathFunctions.h. Referenced by getFrozenValue(), and registerSymbols().

double MathFunctions::isInIntervalValue

| calculates the decimal input function "distance-to" Definition at line 112 of file MathFunctions.h. Referenced by isInInterval(), and registerSymbols().

double MathFunctions::isInIntervalA

| calculates the decimal input function "distance-to" Definition at line 113 of file MathFunctions.h. Referenced by isInInterval(), and registerSymbols().

double MathFunctions::isInIntervalB

| calculates the decimal input function "distance-to" Definition at line 114 of file MathFunctions.h. Referenced by isInInterval(), and registerSymbols().

double MathFunctions::savevalue

| calculates the decimal input function "distance-to" Definition at line 119 of file MathFunctions.h. Referenced by registerSymbols(), and saveValue().

double MathFunctions::saveindex

| calculates the decimal input function "distance-to" Definition at line 120 of file MathFunctions.h. Referenced by getValue(), registerSymbols(), and saveValue().

double MathFunctions::savedValues[255]

| calculates the decimal input function "distance-to" Definition at line 121 of file MathFunctions.h. Referenced by getValue(), and saveValue().

int MathFunctions::unFreezeValue`[private]`

| calculates the decimal input function "distance-to" Definition at line 126 of file MathFunctions.h. Referenced by getFrozenValue(), and registerSymbols().

double MathFunctions::frozenValue`[private]`

| calculates the decimal input function "distance-to" Definition at line 129 of file MathFunctions.h. Referenced by getFrozenValue().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/MathFunctions.h
- Modules/BehaviorControl/CommonXabsl2Symbols/MathFunctions.cpp